------------------------------------------------------------------------------------------
-- Load and save file
-- Written by Homeopatix
-- 7 january 2021
------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------
-- create or load the settings
------------------------------------------------------------------------------------------
function LoadSettings()
	local _settings = PatchDataLoad(Turbine.DataScope.Character, "EmotesHelper_Settings", settings);
    if (_settings ~= nil) then 
		settings = _settings; 
	end
end
------------------------------------------------------------------------------------------
-- create the save settings
------------------------------------------------------------------------------------------
function SaveSettings()
	settings["windowPosition"]["xPos"] = tostring(EmotesHelperWindow:GetLeft());
    settings["windowPosition"]["yPos"] = tostring(EmotesHelperWindow:GetTop());
	settings["optionsWindowPosition"]["xPos"] = tostring(OptionsWindow:GetLeft());
	settings["optionsWindowPosition"]["yPos"] = tostring(OptionsWindow:GetTop());
    settings["IconPosition"]["xPosIcon"] = tostring(MainMinimizedIcon:GetLeft());
   	settings["IconPosition"]["yPosIcon"] = tostring(MainMinimizedIcon:GetTop());
	settings["isMinimizeEnabled"]["isMinimizeEnabled"] = settings["isMinimizeEnabled"]["isMinimizeEnabled"];
	settings["isWindowVisible"]["isWindowVisible"] = settings["isWindowVisible"]["isWindowVisible"];
	settings["escEnable"]["escEnable"] = settings["escEnable"]["escEnable"];

	for i=1, 220 do
		settings["shortcuts"]["Data" .. i] = tostring(settings["shortcuts"]["Data" .. i]);
	end

	settings["nbrLine"]["nbr"] = tonumber(settings["nbrLine"]["nbr"]);
	settings["nbrSlots"]["nbr"] = tonumber(settings["nbrSlots"]["nbr"]);

	------------------------------------------------------------------------------------------
    -- save the settings --
    ------------------------------------------------------------------------------------------
	PatchDataSave( Turbine.DataScope.Character, "EmotesHelper_Settings", settings);
end